<!DOCTYPE html>
<html>

    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf8">

        <meta name="viewport" content="user-scalable=no" />
        <meta name="apple-mobile-web-app-capable" content="yes">
        <meta name="apple-touch-fullscreen" content="yes">

        <link href="index.css" rel="stylesheet" />

        <script src="../../build/mobilizing.bundle.js"></script>

        <script type="module">
             const context = new Mobilizing.MultiScriptContext({
                renderer: true
            });
            //console.log("import.meta",import.meta);
            
            const scriptsPaths = [
                "./cloth.js",
                "./chain.js",
            ];

            const sketches = new Map();
            for (const path of scriptsPaths) {
                const locationPath = `${location}${path}`;
                console.log("locationPath", locationPath);
                const sketch = await import(locationPath);
                console.log("sketch", Object.keys(sketch)[0]);
                sketches.set(Object.keys(sketch)[0], sketch);
            }
            //const sketches = context.addScriptsFromPaths(scriptsPaths);
            console.log(sketches);
           
            console.log("context : ", context);

            /*  context.addScript(cloth.ClothScript);
             context.addScript(chain.ChainScript); */
            sketches.forEach((sketch) => {
                const scriptName = Object.keys(sketch);
                //console.log(sketch, sketch[scriptName]);
                context.addScript(sketch[scriptName]);
            });

            context.events.on("setupDone", () => {

                console.log("setupDone", context.renderer.scenes);
                const scenes = context.renderer.scenes;

                Object.entries(scenes).forEach(([name, scene]) => {
                    console.log(name, scene);
                });

                context.pointer.events.on("on", () => {
                    console.log(context, scenes.ClothScript);
                    //scenes.ClothScript.setVisible(false);
                    scenes.ClothScript.transform.setLocalPosition(0, -20, 0);
                });
            });

            const runner = new Mobilizing.Runner({ context });

        </script>

    </head>

    <body>
    </body>

</html>